<template>
  <div class="container-profile">
    <div class="main">
      <q-icon name="signal_wifi_statusbar_4_bar" class="top-arrow"/>
    </div>
    <div class="q-pa-md">
      <q-form @submit="onSubmit" @reset="onReset" class="q-gutter-md">
        <!--NAME-->
        <q-input
          type="text"
          v-model="profile.name"
          label="Your name *"
          hint="Name"
          lazy-rules
          :rules="[ val => val && val.length > 0 || 'The name is required']"
        />
        <!--MAIL-->
        <q-input
          type="email"
          v-model="profile.mail"
          label="Your mail *"
          hint="Mail"
          lazy-rules
          :rules="[ val => val && val.length > 0 || 'The mail is required']"
        />
        <div v-show="!isConnected">
        <!--PASSWORD-->
        <q-input v-model="profile.password"  :type="isPwd ? 'password' : 'text'" hint="Password">
          <template v-slot:append>
            <q-icon
              :name="isPwd ? 'visibility_off' : 'visibility'"
              class="cursor-pointer"
              @click="isPwd = !isPwd"
            />
          </template>
        </q-input>
        <!--PASSWORD CONFIRMATION-->
        <q-input v-model="passwordDoubles"   :type="isPwd ? 'password' : 'text'" hint="Password checkup"
        :rules="[ val => val != profile.password || 'The Password are not equals']" class="q-mb-lg">
          <template v-slot:append>
            <q-icon
              :name="isPwd ? 'visibility_off' : 'visibility'"
              class="cursor-pointer"
              @click="isPwd = !isPwd"
            />
          </template>
        </q-input>
        <!--AVATAR-->
        <q-uploader @added="onAdded" label="Avatar" color="primary" style="max-width: 300px;"/>
        <!--LICENSE AND TERMS-->
        <q-toggle v-model="accept" label="I accept the license and terms" />
        </div>
        <!--ACTIONS AND SUBMIT-->
        <q-btn :label="!isConnected ? 'Member ? click to connect' : 'Create account'" type="button" color="secondary" flat class="q-ml-sm" @click="isConnected = !isConnected" />
        <div>
          <q-btn label="Connection" type="submit" color="primary"/>
          <q-btn label="Reset" type="reset" color="primary" flat class="q-ml-sm" />
        </div>
      </q-form>
    </div>
  </div>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import { Profile } from '../models/Profil'
import { QUploaderBase } from 'quasar'

@Component
export default class profileComponent extends Vue {
  @Prop({ type: Object, default: () => new Profile() })  readonly profile!: Profile;
  @Prop({ type: Boolean, default: true }) isPwd!: Boolean;
  @Prop(String) passwordDoubles!: String;

  private accept: Boolean = true;
  private myUploader: QUploaderBase;
  private isConnected: Boolean = true;

  created(){
    console.log(this.profile)
    console.log(this.myUploader)
  }
  onSubmit(){

  }
  onReset(){

  }
  onAdded(files){
    console.log(files)
  }
}
</script>
<style scoped>
.main{
  position: absolute;
  width: 100%;
}
.top-arrow{
  position: relative;
  transform: rotateZ(
    180deg
  );
  font-size: 28px;
  right: -88.5%;
  top: -16px;
  color: white;
}
.container-profile{
  width: 332px;
}
</style>
